perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jonathan Steffan <...@bandwidthmarket.com>
Subject Re: Hello
Date Thu, 18 Aug 2005 18:40:38 GMT
Perrin Harkins wrote:

>On Thu, 2005-08-18 at 12:21 -0600, Jonathan Steffan wrote:
>  
>
>>I have no idea how. I can't use yum... nor can I use the CPAN shell. Any 
>>advice on how to complete this?
>>    
>>
>
>Installing things from CPAN is pretty well-covered in the Perl
>documentation, and not just from CPAN shell.
>
>In short, you can download the packages, unpack them, and do the
>standard install steps.  The latest versions at this moment are
>available here:
>http://search.cpan.org/~lds/CGI.pm-3.11/
>http://search.cpan.org/~gozer/mod_perl-2.0.1/
>
>- Perrin
>
>  
>
Here is the mod_perl2 install issues

  CPAN.pm: Going to build G/GO/GOZER/mod_perl-2.0.1.tar.gz

no conflicting prior mod_perl version found - good.
************* WARNING *************

  Your Perl is configured to link against libgdbm,
  but libgdbm.so was not found.
  You could just symlink it to /usr/lib/libgdbm.so.2.0.0


************* WARNING *************

Next we need to know where the 'apxs' script is located. This script
provides a lot of information about the Apache installation, and makes
it easier to find things on your system. Normally it's located in the
same directory as the 'httpd' executable.

If you don't yet have Apache installed you can build Apache against
the Apache source code, but you won't be able to run the test suite (a
very important step). Therefore you may want to install Apache before
proceeding.


Please provide a full path to 'apxs' executable
(press Enter if you don't have it installed):  /usr/local/psa/admin/bin/apxs


[  error] Unable to open /usr/local/psa/admin/include/ap_release.h: No 
such file or directory
[  error] Unable to determine server version, aborting.
[  error] Invalid MP_APXS specified?
Running make test
  Make had some problems, maybe interrupted? Won't test
Running make install
  Make had some problems, maybe interrupted? Won't install

As a note... This system uses Plesk... hence the location of the apxs bin.

-Jon

Mime
View raw message